# coding: utf8

"""
Script for plugin.video.freetv addon.
Add/Remove a channels to the bookmark
"""

import sys
import os
import codecs

# add / remove
action = sys.argv[1]

# bookmarks file name
fName = sys.argv[2]

# uuid of the channel to add / remove
uuid = sys.argv[3]

# load all bookmarks
bookmarks = []

if(os.path.isfile(fName)):
	with codecs.open(fName, "r", "utf-8") as file:
		lines = file.read()
		bookmarks = lines.splitlines()

# add / remove
if(action == 'add'):
	if(not uuid in bookmarks):
		bookmarks.append(uuid)
elif(action == 'remove'):
	if(uuid in bookmarks):
		bookmarks.remove(uuid)

# save all bookmarks
with codecs.open(fName, "w", "utf-8") as file:
	for bookmark in bookmarks:
		file.write(bookmark+"\n")

